using New_College.IServices.BASE;
using New_College.Model;
using New_College.Model.Models;
using New_College.Model.ViewModels;
using System.Threading.Tasks;

namespace New_College.IServices
{	
	/// <summary>
	/// IV_ExaminationPolicyServices
	/// </summary>	
    public interface IV_ExaminationPolicyServices :IBaseServices<V_ExaminationPolicy>
	{
		Task<MessageModel<PageModel<ExaminationPolicyResult>>> GetExaminationPolicyByPage(ExaminationPolicySearchQuery query);

		Task<MessageModel<ExaminationPolicyOneResult>> GetExaminationPolicyOne(IdQuery query);

		Task<MessageModel<bool>> AddExaminationPolicy(ExaminationPolicyQuery query);

		Task<MessageModel<bool>> UpdateExaminationPolicy(ExaminationPolicyQuery query);

		Task<MessageModel<bool>> DeleteExaminationPolicy(IdQuery query);


		Task<MessageModel<ExaminationPolicyOneDetail>> GetExaminationPolicyDetail(ExaminationPolicyAreaQuery query);
	}
}